/**
 * Freqtrade API
 * No description provided (generated by Openapi Generator https://github.com/openapitools/openapi-generator)
 *
 * The version of the OpenAPI document: 2021.9-dev10
 * 
 *
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Do not edit the class manually.
 *
 */

(function(root, factory) {
  if (typeof define === 'function' && define.amd) {
    // AMD.
    define(['expect.js', process.cwd()+'/src/index'], factory);
  } else if (typeof module === 'object' && module.exports) {
    // CommonJS-like environments that support module.exports, like Node.
    factory(require('expect.js'), require(process.cwd()+'/src/index'));
  } else {
    // Browser globals (root is window)
    factory(root.expect, root.ftclient);
  }
}(this, function(expect, ftclient) {
  'use strict';

  var instance;

  beforeEach(function() {
    instance = new ftclient.Profit();
  });

  var getProperty = function(object, getter, property) {
    // Use getter method if present; otherwise, get the property directly.
    if (typeof object[getter] === 'function')
      return object[getter]();
    else
      return object[property];
  }

  var setProperty = function(object, setter, property, value) {
    // Use setter method if present; otherwise, set the property directly.
    if (typeof object[setter] === 'function')
      object[setter](value);
    else
      object[property] = value;
  }

  describe('Profit', function() {
    it('should create an instance of Profit', function() {
      // uncomment below and update the code to test Profit
      //var instane = new ftclient.Profit();
      //expect(instance).to.be.a(ftclient.Profit);
    });

    it('should have the property profitClosedCoin (base name: "profit_closed_coin")', function() {
      // uncomment below and update the code to test the property profitClosedCoin
      //var instance = new ftclient.Profit();
      //expect(instance).to.be();
    });

    it('should have the property profitClosedPercentMean (base name: "profit_closed_percent_mean")', function() {
      // uncomment below and update the code to test the property profitClosedPercentMean
      //var instance = new ftclient.Profit();
      //expect(instance).to.be();
    });

    it('should have the property profitClosedRatioMean (base name: "profit_closed_ratio_mean")', function() {
      // uncomment below and update the code to test the property profitClosedRatioMean
      //var instance = new ftclient.Profit();
      //expect(instance).to.be();
    });

    it('should have the property profitClosedPercentSum (base name: "profit_closed_percent_sum")', function() {
      // uncomment below and update the code to test the property profitClosedPercentSum
      //var instance = new ftclient.Profit();
      //expect(instance).to.be();
    });

    it('should have the property profitClosedRatioSum (base name: "profit_closed_ratio_sum")', function() {
      // uncomment below and update the code to test the property profitClosedRatioSum
      //var instance = new ftclient.Profit();
      //expect(instance).to.be();
    });

    it('should have the property profitClosedPercent (base name: "profit_closed_percent")', function() {
      // uncomment below and update the code to test the property profitClosedPercent
      //var instance = new ftclient.Profit();
      //expect(instance).to.be();
    });

    it('should have the property profitClosedRatio (base name: "profit_closed_ratio")', function() {
      // uncomment below and update the code to test the property profitClosedRatio
      //var instance = new ftclient.Profit();
      //expect(instance).to.be();
    });

    it('should have the property profitClosedFiat (base name: "profit_closed_fiat")', function() {
      // uncomment below and update the code to test the property profitClosedFiat
      //var instance = new ftclient.Profit();
      //expect(instance).to.be();
    });

    it('should have the property profitAllCoin (base name: "profit_all_coin")', function() {
      // uncomment below and update the code to test the property profitAllCoin
      //var instance = new ftclient.Profit();
      //expect(instance).to.be();
    });

    it('should have the property profitAllPercentMean (base name: "profit_all_percent_mean")', function() {
      // uncomment below and update the code to test the property profitAllPercentMean
      //var instance = new ftclient.Profit();
      //expect(instance).to.be();
    });

    it('should have the property profitAllRatioMean (base name: "profit_all_ratio_mean")', function() {
      // uncomment below and update the code to test the property profitAllRatioMean
      //var instance = new ftclient.Profit();
      //expect(instance).to.be();
    });

    it('should have the property profitAllPercentSum (base name: "profit_all_percent_sum")', function() {
      // uncomment below and update the code to test the property profitAllPercentSum
      //var instance = new ftclient.Profit();
      //expect(instance).to.be();
    });

    it('should have the property profitAllRatioSum (base name: "profit_all_ratio_sum")', function() {
      // uncomment below and update the code to test the property profitAllRatioSum
      //var instance = new ftclient.Profit();
      //expect(instance).to.be();
    });

    it('should have the property profitAllPercent (base name: "profit_all_percent")', function() {
      // uncomment below and update the code to test the property profitAllPercent
      //var instance = new ftclient.Profit();
      //expect(instance).to.be();
    });

    it('should have the property profitAllRatio (base name: "profit_all_ratio")', function() {
      // uncomment below and update the code to test the property profitAllRatio
      //var instance = new ftclient.Profit();
      //expect(instance).to.be();
    });

    it('should have the property profitAllFiat (base name: "profit_all_fiat")', function() {
      // uncomment below and update the code to test the property profitAllFiat
      //var instance = new ftclient.Profit();
      //expect(instance).to.be();
    });

    it('should have the property tradeCount (base name: "trade_count")', function() {
      // uncomment below and update the code to test the property tradeCount
      //var instance = new ftclient.Profit();
      //expect(instance).to.be();
    });

    it('should have the property closedTradeCount (base name: "closed_trade_count")', function() {
      // uncomment below and update the code to test the property closedTradeCount
      //var instance = new ftclient.Profit();
      //expect(instance).to.be();
    });

    it('should have the property firstTradeDate (base name: "first_trade_date")', function() {
      // uncomment below and update the code to test the property firstTradeDate
      //var instance = new ftclient.Profit();
      //expect(instance).to.be();
    });

    it('should have the property firstTradeTimestamp (base name: "first_trade_timestamp")', function() {
      // uncomment below and update the code to test the property firstTradeTimestamp
      //var instance = new ftclient.Profit();
      //expect(instance).to.be();
    });

    it('should have the property latestTradeDate (base name: "latest_trade_date")', function() {
      // uncomment below and update the code to test the property latestTradeDate
      //var instance = new ftclient.Profit();
      //expect(instance).to.be();
    });

    it('should have the property latestTradeTimestamp (base name: "latest_trade_timestamp")', function() {
      // uncomment below and update the code to test the property latestTradeTimestamp
      //var instance = new ftclient.Profit();
      //expect(instance).to.be();
    });

    it('should have the property avgDuration (base name: "avg_duration")', function() {
      // uncomment below and update the code to test the property avgDuration
      //var instance = new ftclient.Profit();
      //expect(instance).to.be();
    });

    it('should have the property bestPair (base name: "best_pair")', function() {
      // uncomment below and update the code to test the property bestPair
      //var instance = new ftclient.Profit();
      //expect(instance).to.be();
    });

    it('should have the property bestRate (base name: "best_rate")', function() {
      // uncomment below and update the code to test the property bestRate
      //var instance = new ftclient.Profit();
      //expect(instance).to.be();
    });

    it('should have the property winningTrades (base name: "winning_trades")', function() {
      // uncomment below and update the code to test the property winningTrades
      //var instance = new ftclient.Profit();
      //expect(instance).to.be();
    });

    it('should have the property losingTrades (base name: "losing_trades")', function() {
      // uncomment below and update the code to test the property losingTrades
      //var instance = new ftclient.Profit();
      //expect(instance).to.be();
    });

  });

}));
